System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

The following list identifies tools and classes that use the :

The Web Services Description Language Tool (Wsdl.exe), or the class, while generating client proxy classes or abstract server classes from a Web Services Description Language (WSDL) document.

The XML Schema Definition Tool (Xsd.exe) tool while generating classes from XML Schema Definition (XSD) documents.

The class while creating objects from classes that are identified as Web services via the attribute.

Instead of using the class directly, use the aforementioned tools or classes. If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes.

Depending on its scope, a instance can be used to maintain the names of any of the items in the following list:

Types, methods, or fields.

The parameters and return value of a method corresponding to WSDL input and output messages.

Objects within a instance that can be serialized to a WSDL document.

Typically, the class is used to avoid naming collisions between code entities within a particular scope, including collisions with the name of a containing entity.

Maintains a group of names for related code entities or type mappings that are generated by the .NET Framework's XML serialization infrastructure.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class and determines whether code identifiers are case sensitive.

  true if identifiers are case sensitive; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Unlike the method, the method does not prevent naming collisions.

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class. For a complete list, see Attributes That Control XML Serialization.

  Adds a named code entity or type mapping to the instance's scope.

  A name that is used to index the code entity. The code entity or type mapping information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  A reserved name can belong to a containing code entity, such as a type for which member names must also be generated.

  Prevents a specified name from being used within the instance's scope.

  A name that will not be available within the instance's scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` ``

  If the identifier parameter value is not unique within the instance's scope, a new, unique string is generated and used in its place. The new string is generated by appending to the input name. The original name is not unique if it was passed previously to the , , or method, or if it was generated by a previous call to the method. In each case, if the new identifier is not unique, it is first passed to the method to create a new unique identifier.

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class. For a complete list, see Attributes That Control XML Serialization.

  Adds a named code entity or type mapping to the instance's scope, ensuring that the name is unique within the scope.

  The identifier parameter value or a modified string if there is a name collision.

  A candidate name that is used to index the code entity. The code entity or type mapping information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  Reserved names, as added through the method, are not removed.

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class. For a complete list, see Attributes That Control XML Serialization.

  Removes all code entities or type mappings, including their names, from the instance's scope.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The input name is not unique if it was passed previously to the , , or method, or if it was generated by the method.

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class. For a complete list, see Attributes That Control XML Serialization.

  Determines whether a specified name is already being used within the instance's scope.

  true if the name is already in use; otherwise, false.

  The name to check for use within the instance's scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  If the value of the property is true and the first character of the input is a letter, it is made lowercase, if necessary. If the value of the is false, Pascal case is in effect and the first character, if a letter, is capitalized, if necessary.

  Ensures that the input is of the correct case by modifying the name according to the value of the property.

  A string that is the same as the input identifier or has the first letter's case modified.

  The name to possibly modify.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String ``

  The input name is not unique if it was passed previously to the , , or method, or if it was generated by the method. If the name is not unique, a new string is generated by appending to the original string.

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class. For a complete list, see Attributes That Control XML Serialization.

  Determines whether the input name conflicts with another name within the instance's scope and, if it does, generates a modified string.

  The identifier parameter value or a modified string if there is a name collision.

  The name to modify if it is not already unique.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class. For a complete list, see Attributes That Control XML Serialization.

  Removes from the instance's scope the code entity or type mapping identified by the input name.

  The name of the code entity or type mapping information to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class.

  Removes the input name from the instance's reserved names.

  A name that will be made available within the instance's scope.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  If you want to control the names of code entities that are bound to XML Schema or Web service definitions, use the associated attributes rather than creating an instance of the class. For a complete list, see Attributes That Control XML Serialization.

  Returns an array of the code entities or type mappings within the instance's scope.

  An array of the code entities or type mappings that is stored by the object.

  The type of all the code entities or type mappings for the instance.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  With camel case, if the first character of an identifier is a letter, it must be lowercase. With Pascal case, if the first character is a letter, it must be uppercase.

  Gets or sets a value that indicates whether the instance uses camel case.